Раскрытие информации в paratrooper-pingdom gem для Ruby

Дата публикации:
03.02.2014
Дата изменения:
03.02.2014
Всего просмотров:
801
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:L/AC:L/Au:N/C:P/I:N/A:N/E:U/RL:ND/RC:C) = Base:2.1/Temporal:0
CVE ID:
CVE-2014-1233
Вектор эксплуатации:
Локальная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
paratrooper-pingdom gem for Ruby 1.x
Уязвимые версии: paratrooper-pingdom gem for Ruby 1.0.0, возможно другие версии.

Описание:
Уязвимость позволяет локальному пользователю получить доступ к важным данным.

Уязвимость существует из-за gem, который раскрывает API ключи, имя пользователя и пароль, при передачи данных в curl. Локальный пользователь может получить доступ к важным учетным данным пользователя и сможет просмотреть список активных процессов через командную строку.

URL производителя: http://rubygems.org/gems/paratrooper-pingdom

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.vapid.dhs.org/advisories/paratrooper-api-key-pingdom.html

или введите имя

CAPTCHA